LIBXO(3)

NAME
xo_set_allocator - set allocation functions for libxo

LIBRARY
libxo

SYNOPSIS
#include <libxo/xo.h>
typedef void *(*xo_realloc_func_t)(void *, size_t);

typedef void (*xo_free_func_t)(void *);
void
xo_set_allocator(xo_realloc_func_t realloc_func, xo_free_func_t free_func);

DESCRIPTION
The xo_set_allocator() function allows libxo to be used in environments where the standard realloc(3) and free(3) functions are not available.

realloc_func should expect the same arguments as realloc(3) and return a pointer to memory following the same convention. free_func will receive the same argument as free(3) and should release it, as appropriate for the environment.

By default, the standard realloc(3) and free(3) functions are used.

SEE ALSO
xo_emit(3), libxo(3)